#
# spec file for package OpenOffice_org-help (Version 3.1.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

###################################################################
## DO NOT EDIT THIS SPEC FILE
## Generated by:
## ./ooo-help-gen-spec OpenOffice_org-help-groupX.spec.in ooo-help-groupX
###################################################################

Name:           OpenOffice_org-help-group1
Version:        3.1.1.1
Release:        2.4.moblin2
%define         ooo_build_version 3.1.1.1
%define         piece      help
# test_build_langs:   	   1 = de and cs
#			   2 = all supported languages 
%define		test_build_langs 	2
# build_module_in_parallel 0 = no
#			   1 = yes (the number is defined be the number of cpus)
#			   2,3,4... = yes (force the number of modules to be built in parallel)
%define		build_module_in_parallel	1
# prepare_build:	   0 = no
#			   1 = yes (just build, install and create packages; without %%prep section and configure)
%define		prepare_build 		1
#
%if %test_build_langs == 0
%define       ooo_langs		""
%else
%if %test_build_langs == 1
%define       ooo_langs		"en-GB de"
%else
%define       ooo_langs		"ar cs da de en-GB"
%endif
%endif
%define	      ooo_basis_dir	basis3.1
%define	      ooo_home		ooo3
#!BuildIgnore:  OpenOffice_org
BuildRequires:  java-devel unzip zip
BuildRequires:  OpenOffice_org-artwork-devel = %version
BuildRequires:  OpenOffice_org-libs-core-devel = %version
BuildRequires:  update-alternatives
%define	      ooo_prefix	%_libdir
%define	      ooo_home		ooo3
%define	      ooo_build_tag     ooo310-m19
License:        LGPL v3 only
Group:          Productivity/Office/Suite
AutoReqProv:    on
Summary:        OpenOffice.org Help Development
Url:            http://www.openoffice.org/
Source0:        %ooo_build_tag-%piece.tar.bz2
Source1:        ooo-sdf-%piece.tar.bz2
# helper stuff to produce pieces of the spec file
Source100:      OpenOffice_org-help-groupX.spec.in
Source101:      ooo-help-gen-spec
Source102:      ooo-help-groupX
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides files related to the OpenOffice.org help
development.


%if %test_build_langs >= 2

%package -n OpenOffice_org-help-ar
License:        LGPL v3 only
Summary:        Arabic Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:ar)
Provides:       OpenOffice_org-ar:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-ar
Arabic help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-ar.



%endif
%if %test_build_langs >= 1

%package -n OpenOffice_org-help-cs
License:        LGPL v3 only
Summary:        Czech Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:cs)
Provides:       OpenOffice_org-cs:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-cs
Czech help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-cs.



%endif
%if %test_build_langs >= 2

%package -n OpenOffice_org-help-da
License:        LGPL v3 only
Summary:        Danish Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:da)
Provides:       OpenOffice_org-da:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-da
Danish help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-da.



%endif
%if %test_build_langs >= 1

%package -n OpenOffice_org-help-de
License:        LGPL v3 only
Summary:        German Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:de)
Provides:       OpenOffice_org-de:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-de
German help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-de.



%endif
%if %test_build_langs >= 2

%package -n OpenOffice_org-help-en-GB
License:        LGPL v3 only
Summary:        British Help Localization for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       locale(OpenOffice_org:en_GB)
Provides:       OpenOffice_org-en-GB:%_prefix/ooo-2.0/help/cs/default.css
PreReq:         OpenOffice_org-ure = %version

%description -n OpenOffice_org-help-en-GB
British help localization for OpenOffice.org. The other localized stuff
is in OpenOffice.org-l10n-en-GB.


%endif


%prep
%setup -q -a1 -n %ooo_build_tag-%piece

%build
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export VERBOSE=1
# don't build help 8x since - well - it needs a shed load of memory.
export EXTRA_BUILD_FLAGS=%{?jobs:-P2}
export EXTRA_DMAKE_FLAGS="%{?jobs:-- -P2}"
# no help content in this package
export BUILD_HELP_SEPARATELY=YES
# this spec file is only for few selected localitions to speed the build in BS
export FORCE_OOO_LANGS=%ooo_langs
$OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag

%install
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export DESTDIR=$RPM_BUILD_ROOT
# this spec file is only for few selected localitions to speed the build in BS
export FORCE_OOO_LANGS=%ooo_langs
$OO_TOOLSDIR/piece/install-generic %piece %ooo_build_tag
# prune redundant files the scp2 likes to make for us
rm -Rf \
    "$DESTDIR/$OO_INSTDIR/basis-link" \
    "$DESTDIR/$OO_INSTDIR/ure"
# prune devel files; they are packageg when building en-US help
rm -Rf \
   "$DESTDIR/%{_datadir}/%ooo_home/files-help-prebuilt.txt" \
   "$DESTDIR/%{_datadir}/%ooo_home/files-help-devel.txt" \
   "$DESTDIR/%{_datadir}/%ooo_home/solver"

%clean
rm -rf $RPM_BUILD_ROOT


%if %test_build_langs >= 2
# ar
%posttrans -n OpenOffice_org-help-ar
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-ar.txt || true

%preun -n OpenOffice_org-help-ar
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-ar.txt %_datadir/%ooo_home/files-help-ar.txt.postun || true

%postun -n OpenOffice_org-help-ar
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-ar.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-ar.txt.postun 2>/dev/null

%endif
%if %test_build_langs >= 1
# cs
%posttrans -n OpenOffice_org-help-cs
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-cs.txt || true

%preun -n OpenOffice_org-help-cs
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-cs.txt %_datadir/%ooo_home/files-help-cs.txt.postun || true

%postun -n OpenOffice_org-help-cs
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-cs.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-cs.txt.postun 2>/dev/null

%endif
%if %test_build_langs >= 2
# da
%posttrans -n OpenOffice_org-help-da
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-da.txt || true

%preun -n OpenOffice_org-help-da
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-da.txt %_datadir/%ooo_home/files-help-da.txt.postun || true

%postun -n OpenOffice_org-help-da
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-da.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-da.txt.postun 2>/dev/null

%endif
%if %test_build_langs >= 1
# de
%posttrans -n OpenOffice_org-help-de
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-de.txt || true

%preun -n OpenOffice_org-help-de
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-de.txt %_datadir/%ooo_home/files-help-de.txt.postun || true

%postun -n OpenOffice_org-help-de
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-de.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-de.txt.postun 2>/dev/null

%endif
%if %test_build_langs >= 2
# en-GB
%posttrans -n OpenOffice_org-help-en-GB
%_datadir/%ooo_home/link-to-ooo-home %_datadir/%ooo_home/files-help-en_GB.txt || true

%preun -n OpenOffice_org-help-en-GB
test "$1" = "0" && cp %_datadir/%ooo_home/files-help-en_GB.txt %_datadir/%ooo_home/files-help-en_GB.txt.postun || true

%postun -n OpenOffice_org-help-en-GB
test "$1" = "0" && %_datadir/%ooo_home/link-to-ooo-home --unlink %_datadir/%ooo_home/files-help-en_GB.txt.postun || true
rm -f %_datadir/%ooo_home/files-help-en_GB.txt.postun 2>/dev/null
%endif



%if %test_build_langs >= 2

%files -f files-help-ar.txt -n OpenOffice_org-help-ar
%defattr(-,root,root)

%endif
%if %test_build_langs >= 1

%files -f files-help-cs.txt -n OpenOffice_org-help-cs
%defattr(-,root,root)

%endif
%if %test_build_langs >= 2

%files -f files-help-da.txt -n OpenOffice_org-help-da
%defattr(-,root,root)

%endif
%if %test_build_langs >= 1

%files -f files-help-de.txt -n OpenOffice_org-help-de
%defattr(-,root,root)

%endif
%if %test_build_langs >= 2

%files -f files-help-en_GB.txt -n OpenOffice_org-help-en-GB
%defattr(-,root,root)
%endif


%changelog
* Tue Sep  1 2009 Anas Nashif <anas.nashif@intel.com> - 3.1.1.1
- Initial import into Moblin
* Wed Aug 26 2009 pmladek@suse.cz
- updated to the milestone ooo310-m19
- updated ooo-build to version 3.1.1.1 (3.1.1-rc1)
* Tue Aug 18 2009 pmladek@suse.cz
- updated to the milestone ooo310-m18
- updated ooo-build to version 3.1.0.99.3 (3.1.1-beta3)
* Tue Aug  4 2009 pmladek@suse.cz
- updated to the milestone ooo310-m17
- updated ooo-build to version 3.1.0.99.2 (3.1.1-beta2)
- updated extra localizations sources: bg el mk nb nn sk sl
* Thu Jul 23 2009 pmladek@suse.cz
- updated to the milestone ooo310-m16
- updated ooo-build to version 3.1.0.99.1 (3.1.1-beta1)
* Mon Jun 29 2009 pmladek@suse.cz
- updated to the milestone ooo310-m14
- updated ooo-build to version 3.1.0.98.2 (3.1.1-alpha2)
* Fri Jun 26 2009 pmladek@suse.cz
- split OpenOffice_org-help source package into more pieces to make the
  build more parallel; asked by Coolo
